Skip to main content

dos-sapi (0.1.0)

Download OpenAPI specification:Download

Webhooks

Set Webhook

path Parameters
buid
required
string <uuid> (Buid)
Request Body schema: application/json
url
required
string <uri> (Url) [ 1 .. 65536 ] characters
key
required
string (Key)
verify
required
string (Verify)

Responses

Request samples

Content type
application/json
{}

Response samples

Content type
application/json
{
  • "success": true
}

Get Webhook

path Parameters
buid
required
string <uuid> (Buid)

Responses

Response samples

Content type
application/json
{}

Speech

Start Dialog Buid Duid

path Parameters
buid
required
string <uuid> (Buid)
duid
required
string <uuid> (Duid)
Request Body schema: application/json
context
object (Context)
new
boolean (New)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "new": true
}

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "CUID": "1a7ecefa-7f50-453f-80c2-2aeb4ae35179",
  • "duid": "1abc26fe-d0ca-4fc0-b55e-7546977e68dd",
  • "bot": { },
  • "events": { }
}

Start Dialog Buid

path Parameters
buid
required
string <uuid> (Buid)
Request Body schema: application/json
context
object (Context)
new
boolean (New)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "new": true
}

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "CUID": "1a7ecefa-7f50-453f-80c2-2aeb4ae35179",
  • "duid": "1abc26fe-d0ca-4fc0-b55e-7546977e68dd",
  • "bot": { },
  • "events": { }
}

Send Request

path Parameters
buid
required
string <uuid> (Buid)
duid
required
string <uuid> (Duid)
Request Body schema: application/json
context
object (Context)
using_cache
boolean (Using Cache)
Default: true
object (Reply To)

URL и ключ авторизации для ответв

text
required
string (Text)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "using_cache": true,
  • "reply_to": {},
  • "text": "string"
}

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "cuid": "2e4ad9fd-436b-41d3-82fb-2bdab56a4564",
  • "duid": "1abc26fe-d0ca-4fc0-b55e-7546977e68dd",
  • "buid": "31b7063b-453f-4c97-a3ee-a84e39740bba",
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15"
}

Send Event

path Parameters
buid
required
string <uuid> (Buid)
duid
required
string <uuid> (Duid)
Request Body schema: application/json
context
object (Context)
using_cache
boolean (Using Cache)
Default: true
object (Reply To)

URL и ключ авторизации для ответв

euid
required
string <uuid> (Euid)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "using_cache": true,
  • "reply_to": {},
  • "euid": "0673ce4f-9d34-4b4e-b140-06ae5f587171"
}

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "cuid": "2e4ad9fd-436b-41d3-82fb-2bdab56a4564",
  • "duid": "1abc26fe-d0ca-4fc0-b55e-7546977e68dd",
  • "buid": "31b7063b-453f-4c97-a3ee-a84e39740bba",
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15"
}

Send Rate Response

path Parameters
buid
required
string <uuid> (Buid)
duid
required
string <uuid> (Duid)
Request Body schema: application/json
context
object (Context)
using_cache
boolean (Using Cache)
Default: true
object (Reply To)

URL и ключ авторизации для ответв

rate
required
integer (Rate)
msgid
required
string <uuid> (Msgid)
comment
string (Comment)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "using_cache": true,
  • "reply_to": {},
  • "rate": 0,
  • "msgid": "d0bd59bc-5648-41c4-85e6-cdd3f7355400",
  • "comment": "string"
}

Response samples

Content type
application/json
Example
{
  • "success": true,
  • "cuid": "2e4ad9fd-436b-41d3-82fb-2bdab56a4564",
  • "duid": "1abc26fe-d0ca-4fc0-b55e-7546977e68dd",
  • "buid": "31b7063b-453f-4c97-a3ee-a84e39740bba",
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15"
}

Webhooks.v1

Set Webhook

path Parameters
ChannelUID
required
string <uuid> (Channeluid)
Request Body schema: application/json
url
required
string <uri> (Url) [ 1 .. 65536 ] characters
key
required
string (Key)
verify
required
string (Verify)

Responses

Request samples

Content type
application/json
{}

Response samples

Content type
application/json
{
  • "success": true
}

Get Webhook

path Parameters
ChannelUID
required
string <uuid> (Channeluid)

Responses

Response samples

Content type
application/json
{}

Speech.v1

Start Dialog Buid Duid

path Parameters
ChannelUID
required
string <uuid> (Channeluid)
DialogUID
required
string <uuid> (Dialoguid)
Request Body schema: application/json
context
object (Context)
new
boolean (New)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "new": true
}

Response samples

Content type
application/json
{
  • "success": true,
  • "dialog_uid": "9be2d2fe-7427-4eb7-8177-f372db9bf3fe",
  • "events": { },
  • "bot": { }
}

Start Dialog Buid

path Parameters
ChannelUID
required
string <uuid> (Channeluid)
Request Body schema: application/json
context
object (Context)
new
boolean (New)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "new": true
}

Response samples

Content type
application/json
{
  • "success": true,
  • "dialog_uid": "9be2d2fe-7427-4eb7-8177-f372db9bf3fe",
  • "events": { },
  • "bot": { }
}

Send Request

path Parameters
ChannelUID
required
string <uuid> (Channeluid)
DialogUID
required
string <uuid> (Dialoguid)
Request Body schema: application/json
context
object (Context)
object (Reply To)

URL и ключ авторизации для ответа

message
required
string (Message)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "reply_to": {},
  • "message": "string"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15"
}

Send Event

path Parameters
ChannelUID
required
string <uuid> (Channeluid)
DialogUID
required
string <uuid> (Dialoguid)
Request Body schema: application/json
context
object (Context)
object (Reply To)

URL и ключ авторизации для ответа

event_uid
required
string <uuid> (Event Uid)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "reply_to": {},
  • "event_uid": "b46ef2e9-d52f-4547-bef5-7e5388df90a9"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15"
}

Event

path Parameters
ChannelUID
required
string <uuid> (Channeluid)
DialogUID
required
string <uuid> (Dialoguid)
Request Body schema: application/json
context
object (Context)
object (Reply To)

URL и ключ авторизации для ответа

event_uid
required
string <uuid> (Event Uid)

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "reply_to": {},
  • "event_uid": "b46ef2e9-d52f-4547-bef5-7e5388df90a9"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15"
}

Send Rate Response

path Parameters
ChannelUID
required
string <uuid> (Channeluid)
DialogUID
required
string <uuid> (Dialoguid)
Request Body schema: application/json
context
object (Context)
object (Reply To)

URL и ключ авторизации для ответа

rate
required
integer (Rate)

Оценка.

reqid
required
string <uuid> (Reqid)

UUID оцениваемого сообщения.

comment
string (Comment)

Комментарий к оценке.

Responses

Request samples

Content type
application/json
{
  • "context": { },
  • "reply_to": {},
  • "rate": 0,
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15",
  • "comment": "string"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "reqid": "69e4e573-ff59-479c-9c48-1f5a5ee16a15"
}

Misc

Health Check

Server status.

Responses

Response samples

Content type
application/json
null

Method

Server startup.

Responses

Response samples

Content type
application/json
null

Method

Server readiness.

Responses

Response samples

Content type
application/json
null

Method

Server liveness.

Responses

Response samples

Content type
application/json
null

Redirect Doc

Documentation redirection.

Responses

Response samples

Content type
application/json
null

Metrics

Prometheus metrics.

Responses

Response samples

Content type
application/json
null